//+------------------------------------------------------------------+
//|                                                  Price histogram |
//|                                                            Mikko |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "_mikkom"
#property link      "http://www.currencylabs.com"

#property indicator_separate_window
// #property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 White
#property indicator_color2 White

double lineUp[];
double lineDown[];

extern string pair1 = "EURUSD";
extern int period = 0;

int init() {

   IndicatorBuffers(2);
    
   SetIndexBuffer(0, lineUp);
   SetIndexStyle(0, DRAW_LINE, EMPTY, 1);
   SetIndexBuffer(1, lineDown);
   SetIndexStyle(1, DRAW_LINE, EMPTY, 1);
   
   IndicatorShortName("Mikko price "+pair1+" "+period);
   
   if(period == 0)
      period = Period();
      
   return(0);
}
  
int deinit() {
   return(0);
}
     
int start() {
       
   int counted_bars=IndicatorCounted();
  
   if(counted_bars < 0) 
       return(-1);
   if(counted_bars > 0) 
       counted_bars--;
       
   int limit = Bars - counted_bars;

      
   for(int i = limit; i >= 0; i--) {
        
       lineUp[i] = iHigh(pair1,period,i);
       lineDown[i] = iLow(pair1,period,i);
    
  } 
   return(0);
}

